> ## Documentation Index
> Fetch the complete documentation index at: https://docs.perquery.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List run answers

> Returns the answer of each AI assistant in one measurement run, with the prompt, the persona and the result.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/sites/{site_uuid}/visibility/runs/{run_uuid}/answers
openapi: 3.0.3
info:
  title: Perquery API
  version: 1.0.0
  description: Read-only access to the data of your Perquery organization.
servers:
  - url: https://perquery.ai/api
security:
  - apiKey: []
paths:
  /v1/sites/{site_uuid}/visibility/runs/{run_uuid}/answers:
    get:
      tags:
        - Visibility
      summary: List run answers
      description: >-
        Returns the answer of each AI assistant in one measurement run, with the
        prompt, the persona and the result.
      operationId: inspect_run
      parameters:
        - in: path
          name: run_uuid
          schema:
            type: string
            format: uuid
          required: true
        - in: path
          name: site_uuid
          schema:
            type: string
            format: uuid
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/RunInspectionResponse'
          description: ''
      security:
        - apiKey: []
components:
  schemas:
    RunInspectionResponse:
      type: object
      properties:
        assistant:
          $ref: '#/components/schemas/Assistant'
        status:
          $ref: '#/components/schemas/ItemStatus'
        attempts:
          type: integer
        failure_reason:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/FailureReason'
        prompt_text:
          type: string
        persona_name:
          type: string
        answer:
          allOf:
            - $ref: '#/components/schemas/RunAnswerResponse'
          nullable: true
        verdict:
          allOf:
            - $ref: '#/components/schemas/RunVerdictResponse'
          nullable: true
      required:
        - answer
        - assistant
        - attempts
        - failure_reason
        - persona_name
        - prompt_text
        - status
        - verdict
    Assistant:
      enum:
        - chatgpt
        - gemini
        - claude
        - perplexity
        - googleai
        - grok
        - deepseek
      type: string
      description: |-
        * `chatgpt` - chatgpt
        * `gemini` - gemini
        * `claude` - claude
        * `perplexity` - perplexity
        * `googleai` - googleai
        * `grok` - grok
        * `deepseek` - deepseek
    ItemStatus:
      enum:
        - pending
        - processing
        - batched
        - done
        - failed
        - skipped
      type: string
      description: |-
        * `pending` - pending
        * `processing` - processing
        * `batched` - batched
        * `done` - done
        * `failed` - failed
        * `skipped` - skipped
    FailureReason:
      enum:
        - not_configured
        - authentication
        - invalid_request
        - content_policy
        - quota_exhausted
        - rate_limited
        - billing
        - timeout
        - provider_error
        - attempts_exhausted
        - circuit_open
        - budget_exceeded
        - missing_input
        - cancelled
      type: string
      description: |-
        * `not_configured` - not_configured
        * `authentication` - authentication
        * `invalid_request` - invalid_request
        * `content_policy` - content_policy
        * `quota_exhausted` - quota_exhausted
        * `rate_limited` - rate_limited
        * `billing` - billing
        * `timeout` - timeout
        * `provider_error` - provider_error
        * `attempts_exhausted` - attempts_exhausted
        * `circuit_open` - circuit_open
        * `budget_exceeded` - budget_exceeded
        * `missing_input` - missing_input
        * `cancelled` - cancelled
    RunAnswerResponse:
      type: object
      properties:
        answer_text:
          type: string
        model_id:
          type: string
        citations:
          type: array
          items:
            type: string
        grounded:
          type: boolean
        latency_ms:
          type: integer
      required:
        - answer_text
        - citations
        - grounded
        - latency_ms
        - model_id
    RunVerdictResponse:
      type: object
      properties:
        present:
          type: boolean
        rank:
          type: integer
          nullable: true
        transition_type:
          $ref: '#/components/schemas/TransitionType'
        sentiment:
          type: number
          format: double
        snippet:
          type: string
        judge_prompt_version:
          type: string
        judge_model_id:
          type: string
        judge_disagreed:
          type: boolean
      required:
        - judge_disagreed
        - judge_model_id
        - judge_prompt_version
        - present
        - rank
        - sentiment
        - snippet
        - transition_type
    TransitionType:
      enum:
        - recommendation
        - citation
        - mention
        - none
      type: string
      description: |-
        * `recommendation` - recommendation
        * `citation` - citation
        * `mention` - mention
        * `none` - none
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: Authorization
      description: '`ApiKey pq_<prefix>_<secret>`. An API key gives read-only access.'

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.